/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 */
package blanco.jsf.message;

/**
 * blancoJsf のメッセージクラス。プログラム中で利用されるメッセージを格納します。
 */
public class BlancoJsfMessage {
    /**
     * メッセージをプロパティファイル対応させるための内部的に利用するリソースバンドルクラス。
     */
    protected final BlancoJsfMessageResourceBundle fBundle = new BlancoJsfMessageResourceBundle();

    /**
     * メッセージ定義ID[BlancoJsf]、キー[MBJFI001]の文字列を取得します。
     *
     * No.2:
     * 文字列[JSF基底ID[{0}]、メソッド[{0}]のパッケージが指定されていません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbjfi001(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbjfi001]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBJFI001] " + fBundle.getMbjfi001(arg0);
    }

    /**
     * メッセージ定義ID[BlancoJsf]、キー[MBJFI002]の文字列を取得します。
     *
     * No.3:
     * 文字列[JSF基底ID[{0}]のメソッドが指定されていません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbjfi002(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbjfi002]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBJFI002] " + fBundle.getMbjfi002(arg0);
    }

    /**
     * メッセージ定義ID[BlancoJsf]、キー[MBJFA001]の文字列を取得します。
     *
     * No.7:
     * 文字列[メタディレクトリ[{0}]が存在しません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbjfa001(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbjfa001]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBJFA001] " + fBundle.getMbjfa001(arg0);
    }
}
